Subject: Re: [X2Go-Dev] Bug#1500: Wishlist Bug: look for Branding-/Background-SVGs in well-known locations

From: Ulrich Sibiller <[email-masked]>
Date: Thu, 15 Oct 2020 12:25:16 +0200

Better approach: The default logos will come in a dedicated directory.
In addition there's a defined path .../x2go-branding which is neither
delivered nor created by the x2goclient package. IFF the directory
exists and contains the required files these are taken instead of the
default ones. You can then pack a x2go-branding-mycompany package and
install that completely independently from the x2go installation.
There's a restriction that only one such package may be installed.

Drawback: you cannot use two differently branded x2goclients in
parallel, but can you run x2goclient twice at all?

Uli

On Thu, Oct 15, 2020 at 11:56 AM Stefan Baur <[email-masked]> wrote:
>
> package: x2goclient
> priority: wishlist
>
> At the moment, X2GoClient has two SVGs "baked in", namely the ones for
> the background image and the branding in the lower left corner.  These
> can be overridden with command line parameters.
>
> I would suggest a folder /usr/share/x2goclient/logos on Linux/macOS, and
> <programsdir>\x2goclient\logos on Windows, where these SVGs are placed
> instead. On Linux, /etc/x2goclient/logos should be a symlink to
> /usr/share/x2goclient/logos.
>
> On Client startup, it would then scan /etc/x2goclient/logos (or
> <programsdir>\x2goclient\logos) for these files, and use them.
>
> That way, swapping out these logos does not require adding --background
> or --branding to the call - on Windows, you would simply overwrite them
> with the logos of your choice, on Linux/macOS, you would replace the
> symlink with an actual directory and place your custom logos there -
> just like we do it for /etc/x2go/applications on the server.
>
> The command line parameters should remain in the code to support legacy
> installations.
>
> It MAY make sense to keep a minimum set of logos "baked in" (maybe a
> black on white "ERROR" text) to indicate when the file-based ones could
> not be found.
>
> Kind Regards,
> Stefan Baur
>
> --
> BAUR-ITCS UG (haftungsbeschränkt)
> Geschäftsführer: Stefan Baur
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
> Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev